﻿// <auto-generated />
using HadesUW.Models;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;

namespace HadesUW.Migrations
{
    [DbContext(typeof(HadesUWContext))]
    [Migration("20200802003834_Initial")]
    partial class Initial
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.IdentityByDefaultColumn)
                .HasAnnotation("ProductVersion", "3.1.5")
                .HasAnnotation("Relational:MaxIdentifierLength", 63);

            modelBuilder.Entity("HadesUW.Entities.Raffle", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer")
                        .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.IdentityByDefaultColumn);

                    b.Property<float>("BeneficPercentage")
                        .HasColumnType("real");

                    b.Property<bool>("Benefit")
                        .HasColumnType("boolean");

                    b.Property<string>("Countries")
                        .HasColumnType("text");

                    b.Property<string>("CountriesRestricted")
                        .HasColumnType("text");

                    b.Property<string>("Description")
                        .HasColumnType("text");

                    b.Property<bool>("FreeShip")
                        .HasColumnType("boolean");

                    b.Property<string>("HostId")
                        .HasColumnType("text");

                    b.Property<int>("MangoesPrice")
                        .HasColumnType("integer");

                    b.Property<int>("MaxTickets")
                        .HasColumnType("integer");

                    b.Property<string>("OrganizationEmail")
                        .HasColumnType("text");

                    b.Property<string>("Prize")
                        .HasColumnType("text");

                    b.Property<string>("PrizeUrl")
                        .HasColumnType("text");

                    b.Property<int>("Status")
                        .HasColumnType("integer");

                    b.Property<string>("Title")
                        .HasColumnType("text");

                    b.HasKey("Id");

                    b.ToTable("Raffles");
                });
#pragma warning restore 612, 618
        }
    }
}
